This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 810083 - dd'ed Fedora 17 Beta RC3 images are not EFI bootable
dd'ed Fedora 17 Beta RC3 images are not EFI bootable
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
17
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F17-accepted/F17FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-04-05 01:58 EDT by Adam Williamson
Modified: 2012-05-08 18:58 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-08 18:58:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2012-04-05 01:58:49 EDT
Not totally sure of the right component for this, taking a stab at pungi.

I can't boot either the DVD or desktop live F17 Beta RC3 images via EFI if written to a USB stick via dd. If written via livecd-iso-to-disk with the --efi parameter, they both boot fine via EFI.

I *think* this is supposed to work for dd written images, but IMBW. I don't think it's a Beta blocker as long as l-i-t-d written images work, but maybe final.

[root@vaioz fedora]# ls -ltR /media/Fedora\ 17-Beta\ x86_64/EFI/
/media/Fedora 17-Beta x86_64/EFI/:
total 3
-r--r--r--. 1 adamw adamw  216 Apr  4 06:14 TRANS.TBL
drwxr-sr-x. 2 adamw adamw 2048 Apr  4 06:14 BOOT

/media/Fedora 17-Beta x86_64/EFI/BOOT:
total 401
-r--r--r--. 1 adamw adamw    672 Apr  4 06:14 TRANS.TBL
-rw-r--r--. 1 adamw adamw    254 Apr  4 06:14 BOOTX64.conf
-rw-r--r--. 1 adamw adamw  67229 Feb 14 10:44 splash.xpm.gz
-rwxr-xr-x. 1 adamw adamw 340560 Feb  9 11:38 BOOTX64.efi

Not sure what's wrong there. I'll poke this some more later, for now just filing a bug to reference in the matrix.
Comment 1 Adam Williamson 2012-04-06 01:20:04 EDT
Nominating as NTH for Beta, as EFI bootable images are a good thing.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Adam Williamson 2012-04-09 23:17:38 EDT
Discussed at 2012-04-06 NTH review meeting: http://meetbot.fedoraproject.org/fedora-bugzappers/2012-04-06/f17-beta-blocker-review-5.2012-04-06-17.01.html . Accepted as NTH as EFI bootable images are desirable.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Kamil Páral 2012-04-12 08:11:17 EDT
Beta is out, moving to F17 Final NTH
Comment 4 Chris Murphy 2012-04-28 22:43:42 EDT
Still a problem for Final TC2 DVD ISO dd'd to USB media. Not EFI bootable (not even found as a bootable option).

Final TC2 Live-Desktop ISO dd'd to USB media is bootable, but fails verification when choosing Verify and Boot Fedora option from GRUB menu (2nd option in the menu). Further, user is inadequately informed of the verify failure.
Comment 5 Adam Williamson 2012-05-04 13:53:01 EDT
Discussed at 2012-05-04 NTH review meeting. Accepted as NTH, but we'd not want to change this at the last minute after the Beta experience, so we won't pull this into a late RC.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Chris Murphy 2012-05-05 03:54:19 EDT
Appears to be fixed with TC3.
Comment 7 Adam Williamson 2012-05-08 18:58:37 EDT
Confirmed, and the relevant updates are stable, so closing.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.